Enable wallet ejection
curl --request PATCH \
--url https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/enable-eject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ejectableUntil": "2025-06-18T15:23:00.470Z",
"walletId": "walletId"
}
'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/enable-eject"
payload = {
"ejectableUntil": "2025-06-18T15:23:00.470Z",
"walletId": "walletId"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ejectableUntil: '2025-06-18T15:23:00.470Z', walletId: 'walletId'})
};
fetch('https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/enable-eject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ejectableUntil": "2025-03-04T15:26:43.123Z"
}{
"error": "<string>"
}{
"error": "<string>"
}Wallet Shares
Enable wallet ejection
Prepare a wallet for ejection of its private keys. This endpoint enables a Portal client to be ejected for a specified duration.
Your custodian must be using Portal-Managed Backups to use this endpoint.
PATCH
/
custodians
/
me
/
clients
/
{clientId}
/
enable-eject
Enable wallet ejection
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the client.
Body
application/json
Response
Eject window enabled successfully
The timestamp until which the wallet is ejectable.
Was this page helpful?
⌘I